# PCLinuxOS Copyright by Bill Reynolds (Texstar)
#32/64
Name:		fbzx
Version:	3.8.0
Release:	%mkrel 1
Summary:	A ZX Spectrum Emulator for FrameBuffer
Summary(de):	Ein ZX Spektrum Emulator für FrameBuffer
Group:		Emulators
License:	GPLv3+
URL:		http://www.rastersoft.com/fbzx.html
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}pulseaudio-devel
Requires:	spectrum-roms

%description
FBZX is a Sinclair Spectrum emulator, designed to work at full screen using 
the FrameBuffer or under X-Windows.

For ZX Spectrum roms install spectrum-roms package from non-free repository.

#german
%description -l de
FBZX ist ein Sinclair Spectrum Emulator, entworfen zum arbeiten im Vollbildmodus 
mit Verwendung des Framebuffer oder X-Windows. 

Für ZX Spektrum ROMS installieren Sie das Paket Spektrum-Roms aus der Nonfree Paketquelle. 

%prep
%setup -q

# Patch to use rpm optflags 
sed -i -e "s/^\(CC\ =\ gcc\) [^\`]*/\1 \$(CFLAGS) /" Makefile

# Fix source file permissions
chmod 644 $RPM_BUILD_DIR/%{name}-%{version}/src/z80free/Z80free.c

# Remove roms as they are non-free
rm -rf spectrum-roms

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}

#install application
mkdir -p %{buildroot}%{_bindir}
#install -m 755 %{name} %{buildroot}%{_bindir}
cp $RPM_BUILD_DIR/%{name}-%{version}/src/%{name} %{buildroot}%{_bindir}/

# install data
mkdir -p %{buildroot}%{_datadir}/%{name}
#install -p -m 644 keymap.bmp %{buildroot}%{_datadir}/%{name}
cp $RPM_BUILD_DIR/%{name}-%{version}/data/keymap.bmp %{buildroot}%{_datadir}/%{name}/

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
#install -p -m 644 %{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp $RPM_BUILD_DIR/%{name}-%{version}/data/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
X-MultipleArgs=false
Type=Application
Version=2.4.3
Encoding=UTF-8
Name=FBZX
GenericName=A Sinclair ZX Spectrum emulator
GenericName[de]= Sinclair ZX Spektrum Emulator
Comment=Play with the old, great games of the venerable ZX Spectrum
Comment[de]=ermölicht das spielen alter Spiele 
TryExec=fbzx
Exec=fbzx
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
Icon=fbzx
EOF


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AMSTRAD CAPABILITIES COPYING FAQ README* TODO VERSIONS.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop



%changelog
* Fri Jun 02 2017 adrianomorselli <adrianomorselli> 3.8.0-1uplos2017
- rebuild for uplos

* Mon May 08 2017 Agent Smith <ruidobranco@yahoo.com.br> 3.8.0-1pclos2017
- updated package with latest sources
